#pragma once

#include "CoreMinimal.h"
#include "ChargeableInteractionDefinition.h"
#include "DBDTunableRowHandle.h"
#include "K38FreeSurvivorFromDogInteraction.generated.h"

class UAnimationAsset;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class THEK38_API UK38FreeSurvivorFromDogInteraction : public UChargeableInteractionDefinition
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _interactionChargeDuration;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	UAnimationAsset* _freeSurvivorAnimation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _injureSurvivorPerformingRescueScoreReductionPointThreshold;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _injureSurvivorPerformingRescueScoreReductioPercentage;

public:
	UK38FreeSurvivorFromDogInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UK38FreeSurvivorFromDogInteraction) { return 0; }
